-include ../project/version.properties
yaim_prefix=/opt/glite
-node_info=${top_srcdir}/config/node-info.d/glite-px
-node_info_project=${top_srcdir}/config/node-info.d/${project}/glite-px
+ifeq (${project},emi)
+yaim_project=/emi
+endif
-FILES=glite-px.pre glite-px
+FILES=glite-px.pre LICENSE COPYRIGHT node-version arch service update
all ${FILES}:
- if test -f "${node_info_project}"; then \
- cp ${node_info_project} . ; \
- else \
- cp ${node_info} . ; \
- fi
glite_var="${localstatedir}/glite"; \
if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
glite_var="${localstatedir}"; \
mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions
mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/defaults
install -m 0644 $(top_srcdir)/config/services/glite-px ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/examples/siteinfo/services/glite-px
- for c in gip_px info_service_px proxy_server ; do \
+ for c in gip_px proxy_server ; do \
install -m 0644 $(top_srcdir)/config/functions/config_$$c ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions; \
done
- install -m 0644 glite-px ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/node-info.d; \
+ install -m 0644 $(top_srcdir)/config/functions${yaim_project}/config_info_service_px ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions
+ install -m 0644 ${top_srcdir}/config/node-info.d${yaim_project}/glite-px ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/node-info.d; \
install -m 0644 glite-px.pre ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/defaults
echo "$(package) $(module.version)-$(module.age)" > ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions/$(package)
mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/release/glite-PX
clean:
rm -rvf log.xml project/ rpmbuild/ RPMS/ tgz/ debian/ ${FILES}
-.PHONY: default all check stage clean
+.PHONY: default all check install stage clean
--- /dev/null
+##############################################################################
+# Copyright (c) Members of the EGEE Collaboration. 2004.
+# See http://www.eu-egee.org/partners/ for details on the copyright
+# holders.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##############################################################################
+#
+# NAME : config_info_service_px
+#
+# DESCRIPTION : This function configures the dynamic service publisher
+# for MyProxy (PX) node.
+#
+# AUTHORS : Maria.Alandes.Pradillo@cern.ch
+#
+# NOTES :
+#
+# YAIM MODULE: glite-yaim-myproxy
+#
+##############################################################################
+
+config_info_service_px_check () {
+ requires $1 SITE_NAME INSTALL_ROOT PX_HOST
+}
+
+config_info_service_px_setenv () {
+ yaimlog DEBUG "This function currently doesn't set any environment variables."
+}
+
+config_info_service_px () {
+
+INFO_SERVICE_CONFIG='/etc/glite/info/service'
+INFO_SERVICE_SCRIPT='/usr/bin'
+INFO_PROVIDER_PATH='/var/run/bdii/gip/provider'
+
+SERVICE=MYPROXY
+SERVICE_HOST=${PX_HOST}
+
+SERVICE_LC=`echo ${SERVICE} | tr '[:upper:]' '[:lower:]'`
+
+if [ ! -x ${INFO_SERVICE_SCRIPT}/glite-info-service ]; then
+ yaimlog ERROR "The script file for glite-info-service was not found in ${INFO_SERVICE_SCRIPT}."
+ exit 1
+fi
+if [ ! -x ${INFO_SERVICE_SCRIPT}/glite-info-service-glue2 ]; then
+ yaimlog ERROR "The script file for glite-info-service-glue2 was not found in ${INFO_SERVICE_SCRIPT}."
+ exit 1
+fi
+
+yaimlog DEBUG "Delete a previous version of the *.conf if it exists"
+rm -rf ${INFO_SERVICE_CONFIG}/glite-info-service-${SERVICE_LC}.conf
+
+yaimlog DEBUG "Create the glite-info-service-${SERVICE_LC}.conf file out of the template file"
+cp ${INFO_SERVICE_CONFIG}/glite-info-service-${SERVICE_LC}.conf.template ${INFO_SERVICE_CONFIG}/glite-info-service-${SERVICE_LC}.conf
+if [ $? != 0 ]; then
+ yaimlog ERROR "Copying service template failed"
+ exit 1
+fi
+
+# Note: the configuration file may need to be altered if non standard values have been used.
+
+yaimlog DEBUG "Delete a previous version of the glite-info-provider-service-${SERVICE_LC}-wrapper if it exists"
+rm -rf ${INFO_PROVIDER_PATH}/glite-info-provider-service-${SERVICE_LC}-wrapper
+
+yaimlog DEBUG "Create the ${INFO_PROVIDER_PATH} in case it doesn't exist"
+mkdir -p ${INFO_PROVIDER_PATH}
+
+yaimlog DEBUG "Create the glite-info-provider-service-${SERVICE_LC}-wrapper file"
+cat << EOF > ${INFO_PROVIDER_PATH}/glite-info-provider-service-${SERVICE_LC}-wrapper
+#!/bin/sh
+export PATH=$PATH:${INFO_SERVICE_SCRIPT}
+export ${SERVICE}_HOST=${SERVICE_HOST}
+${INFO_SERVICE_SCRIPT}/glite-info-service ${INFO_SERVICE_CONFIG}/glite-info-service-${SERVICE_LC}.conf $SITE_NAME
+${INFO_SERVICE_SCRIPT}/glite-info-service-glue2 ${INFO_SERVICE_CONFIG}/glite-info-service-${SERVICE_LC}.conf $SITE_NAME
+EOF
+
+chmod +x ${INFO_PROVIDER_PATH}/glite-info-provider-service-${SERVICE_LC}-wrapper
+
+
+return 0
+
+}